require 'google_plus/api'
require 'google_plus/configuration'
require 'google_plus/cursor'
#require 'google_plus/direct_message'

module GooglePlus
  # Wrapper for the GooglePlus REST API
  #
  # @note All methods have been separated into modules
  # @see https://developers.google.com/+/overview
  class Client < API

    # Require client method modules after initializing the Client class in
    # order to avoid a superclass mismatch error, allowing those modules to be
    # Client-namespaced.
    require 'google_plus/client/users'
    require 'google_plus/client/activity'
    require 'google_plus/client/comments'


    alias :api_endpoint :endpoint

    include GooglePlus::Client::Users
    include GooglePlus::Client::Activity
    include GooglePlus::Client::Comments

  end
end

