require 'google_plus/base'

module GooglePlus
  class Size < GooglePlus::Base
    lazy_attr_reader :h, :resize, :w
    alias :height :h
    alias :width :w

    # @param other [GooglePlus::Size]
    # @return [Boolean]
    def ==(other)
      super || (other.class == self.class && other.h == self.h && other.w == self.w)
    end

  end
end

