require 'google_plus/core_ext/hash'
require 'google_plus/error/not_found'
require 'google_plus/user'

module GooglePlus
  class Client
    # Defines methods related to users
    module Users

      def user(*args)
        options = args.last.is_a?(Hash) ? args.pop : {}
        user = args.pop || get_screen_name
        options.merge_user!(user)
        user = get("/plus/v1/people/#{user}", options)
        GooglePlus::User.new(user)
      end

    end

  end
end

