require 'google_plus/base'
#require 'google_plus/creatable'
#require 'google_plus/user'

module GooglePlus
  class DirectMessage < GooglePlus::Base
    include GooglePlus::Creatable
    lazy_attr_reader :id, :text

    # @param other [Twiter::DirectMessage]
    # @return [Boolean]
    def ==(other)
      super || (other.class == self.class && other.id == self.id)
    end

    # @return [GooglePlus::User]
    def recipient
      @recipient ||= GooglePlus::User.new(@attrs['recipient']) unless @attrs['recipient'].nil?
    end

    # @return [GooglePlus::User]
    def sender
      @sender ||= GooglePlus::User.new(@attrs['sender']) unless @attrs['sender'].nil?
    end

  end
end

